function BusValidateForm(){
	var tag_no=document.forms["frmUsers"]["tag_no"].value;
	if (tag_no==null || tag_no=="")
		{
			alert("Please Enter Tag Id");
			return false;
		}
	if(!validateNumeric(tag_no)){
		alert("Enter a numeric value");
		return false;
	}
	var vehicle_number=document.forms["frmUsers"]["vehicle_number"].value;
	if (vehicle_number==null || vehicle_number=="")
		{
			alert("Please Enter Vehicle Reg. Number");
			return false;
		}
	var insurance_expiry_date=document.forms["frmUsers"]["insurance_expiry_date"].value;
	if (insurance_expiry_date==null || insurance_expiry_date=="")
		{
			alert("Please Enter Insurance Expiry Date");
			return false;
		}
	var pollution_expiry_date=document.forms["frmUsers"]["pollution_expiry_date"].value;
	if (pollution_expiry_date==null || pollution_expiry_date=="")
		{
			alert("Please Enter Pollution Expiry Date");
			return false;
		}
	var charges=document.forms["frmUsers"]["charges"].value;
	if (charges==null || charges=="")
		{
			alert("Please Enter Bus charges");
			return false;
		}
	var driver_name=document.forms["frmUsers"]["driver_name"].value;
	if (driver_name==null || driver_name=="")
		{
			alert("Please Enter Driver Name");
			return false;
		}
	var license_number=document.forms["frmUsers"]["license_number"].value;
	if (license_number==null || license_number=="")
		{
			alert("Please Enter License Number");
			return false;
		}
	var contact_number=document.forms["frmUsers"]["contact_number"].value;
	if (contact_number==null || contact_number=="")
		{
			alert("Please Enter Contact Number");
			return false;
		}
	if(!validateNumeric(contact_number)){
		alert("Enter Valid Contact Number");
		return false;
	}
	var emergency_contact_person=document.forms["frmUsers"]["emergency_contact_person"].value;
	if (emergency_contact_person==null || emergency_contact_person=="")
		{
			alert("Please Enter Emergency Contact Person Name");
			return false;
		}
	var emergency_number=document.forms["frmUsers"]["emergency_number"].value;
	if (emergency_number==null || emergency_number=="")
		{
			alert("Please Enter Emergency Number");
			return false;
		}
	if(!validateNumeric(emergency_number)){
		alert("Enter Valid Emergency Number");
		return false;
	}
	var contact_number=document.forms["frmUsers"]["contact_number"].value;
	if (contact_number==null || contact_number=="")
		{
			alert("Please Enter Contact Number");
			return false;
		}
	var contact_number=document.forms["frmUsers"]["contact_number"].value;
	if (contact_number==null || contact_number=="")
		{
			alert("Please Enter Contact Number");
			return false;
		}
	var address=document.forms["frmUsers"]["address"].value;
	if (address==null || address=="")
		{
			alert("Please Enter Address");
			return false;
		}
	var city=document.forms["frmUsers"]["city"].value;
	if (city==null || city=="")
		{
			alert("Please Enter City Name");
			return false;
		}
	var state=document.forms["frmUsers"]["state"].value;
	if (state==null || state=="")
		{
			alert("Please Enter State Name");
			return false;
		}
	
	function validateNumeric(numValue){
	if (!numValue.toString().match(/^[-]?\d*\.?\d*$/)) 
			return false;
	return true;		
	}	
}

function CabValidateForm(){
	var tag_no=document.forms["frmUsers"]["tag_no"].value;
	if (tag_no==null || tag_no=="")
		{
			alert("Please Enter Tag Id");
			return false;
		}
	if(!validateNumeric(tag_no)){
		alert("Enter a numeric value");
		return false;
	}
	var vehicle_number=document.forms["frmUsers"]["vehicle_number"].value;
	if (vehicle_number==null || vehicle_number=="")
		{
			alert("Please Enter Vehicle Reg. Number");
			return false;
		}
	var insurance_expiry_date=document.forms["frmUsers"]["insurance_expiry_date"].value;
	if (insurance_expiry_date==null || insurance_expiry_date=="")
		{
			alert("Please Enter Insurance Expiry Date");
			return false;
		}
	var pollution_expiry_date=document.forms["frmUsers"]["pollution_expiry_date"].value;
	if (pollution_expiry_date==null || pollution_expiry_date=="")
		{
			alert("Please Enter Pollution Expiry Date");
			return false;
		}
	var driver_name=document.forms["frmUsers"]["driver_name"].value;
	if (driver_name==null || driver_name=="")
		{
			alert("Please Enter Driver Name");
			return false;
		}
	var license_number=document.forms["frmUsers"]["license_number"].value;
	if (license_number==null || license_number=="")
		{
			alert("Please Enter License Number");
			return false;
		}
	var contact_number=document.forms["frmUsers"]["contact_number"].value;
	if (contact_number==null || contact_number=="")
		{
			alert("Please Enter Contact Number");
			return false;
		}
	if(!validateNumeric(contact_number)){
		alert("Enter Valid Contact Number");
		return false;
	}
	var emergency_contact_person=document.forms["frmUsers"]["emergency_contact_person"].value;
	if (emergency_contact_person==null || emergency_contact_person=="")
		{
			alert("Please Enter Emergency Contact Person Name");
			return false;
		}
	var emergency_number=document.forms["frmUsers"]["emergency_number"].value;
	if (emergency_number==null || emergency_number=="")
		{
			alert("Please Enter Emergency Number");
			return false;
		}
	if(!validateNumeric(emergency_number)){
		alert("Enter Valid Emergency Number");
		return false;
	}
	var contact_number=document.forms["frmUsers"]["contact_number"].value;
	if (contact_number==null || contact_number=="")
		{
			alert("Please Enter Contact Number");
			return false;
		}
	var contact_number=document.forms["frmUsers"]["contact_number"].value;
	if (contact_number==null || contact_number=="")
		{
			alert("Please Enter Contact Number");
			return false;
		}
	var address=document.forms["frmUsers"]["address"].value;
	if (address==null || address=="")
		{
			alert("Please Enter Address");
			return false;
		}
	var city=document.forms["frmUsers"]["city"].value;
	if (city==null || city=="")
		{
			alert("Please Enter City Name");
			return false;
		}
	var state=document.forms["frmUsers"]["state"].value;
	if (state==null || state=="")
		{
			alert("Please Enter State Name");
			return false;
		}
	
	function validateNumeric(numValue){
	if (!numValue.toString().match(/^[-]?\d*\.?\d*$/)) 
			return false;
	return true;		
	}	
}